import os
class Properties1():
    def __init__(self, file_name):
        self.properties_file_name = file_name
        self.properties = {}

    def get_properties(self):
        with open(self.properties_file_name, "r", encoding="utf-8") as f:
            for line in f.readlines():
                # 去掉两端的空格、换行符\n
                line = line.strip().replace("\n", "")
                # 如果发现 # 符号，代表这一行或后边是注释内容
                if line.find("#") != -1:
                    line = line[0:line.find("#")]
                # 如果包含了等号，我们就要进行字典类型的装换处理
                if line.find("=") > 0:
                    strs = line.split("=")
                    self.__get_dict(strs[0].strip(), self.properties,strs[1].strip())
        # print(self.properties)
        return self.properties


    def __get_dict(self,key_name, result_dict, value):
        # 检查key中是否包含".",包含和话就切分，不包含的话就直接设置值
        if (key_name.find(".") > 0):
            k = key_name.split(".")[0]
            result_dict.setdefault(k, {})
            return self.__get_dict(key_name[len(k)+1:], result_dict[k], value)
        else:
            result_dict[key_name] = value

