from selenium import webdriver
from selenium.webdriver.common.desired_capabilities import DesiredCapabilities
from threading import Thread
from remote_selenium.jingdong import jingdong


# 用来写业务逻辑
def to_baidu(name, server_adderss):
    print(name + "启动")
    driver = webdriver.Remote(
        command_executor=server_adderss,
        desired_capabilities=DesiredCapabilities.CHROME
    )
    driver.get("https://www.jd.com")
    # 如果是Linux，那么启动访问thindpad的逻辑
    if name == "linux":
        jingdong.thinkpad_start(driver)
        # 如果是Windows，启动访问Dell的逻辑
    if name == "windows":
        jingdong.dell_start(driver)


# 存储所有的远程服务地址
data = {
    "linux": "http://192.168.0.106:4444/wd/hub",
    "windows": "http://192.168.0.101:4444/wd/hub"
}

threads = []
for name, url in data.items():
    t = Thread(target=to_baidu, args=(name, url))
    threads.append(t)
for t in threads:
    t.start()
